%define nspr_version 4.10.8

Summary:          Network Security Services Addbuiltin command
Name:             nss_addbuiltin
Version:          3.19.2
Release:          1%{?dist}
License:          MPLv1.1 or GPLv2+ or LGPLv2+
URL:              http://www.mozilla.org/projects/security/pki/nss/
Group:            System Environment/Libraries
#Requires:         nspr >= %{nspr_version}
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:    nspr-devel >= %{nspr_version}
BuildRequires:    pkgconfig
BuildRequires:    gawk
BuildRequires:    zlib-devel
ExclusiveArch:    i686   

# Source0: 
# wget ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_15_1_RTM/src/nss-3.15.1-with-nspr-4.10.tar.gz
# wget ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_19_2_RTM/src/nss-3.19.2-with-nspr-4.10.8.tar.gz

Source0: nss-%{version}-with-nspr-%{nspr_version}.tar.gz


%description
Addbuiltin command for NSS

%prep
%setup -q -n nss-%{version}

%build

pushd nss
make nss_build_all
popd

%install

%{__rm} -rf $RPM_BUILD_ROOT


%{__mkdir_p} $RPM_BUILD_ROOT/usr/sbin/

%{__install} -p -m 755 nss/cmd/addbuiltin/*.OBJ/addbuiltin $RPM_BUILD_ROOT/usr/sbin/nss_addbuiltin

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/usr/sbin/nss_addbuiltin



%changelog
* Tue Jul 21 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 3.19.2
- built against current NSS/NSPR
* Wed Dec 04 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 3.15.1
- SLC6 build nss 3.15.1 nspr 4.10
* Wed May 11 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.0
- Initial build
